<!DOCTYPE html>
<html lang="en">
<head>
  <title>67.S10</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

  <!-- drinks -->
  <script>
      $(document).ready(function(){
        var table = $("#user-table").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "id" },
              { "data" : "maNuocUong" },
              { "data" : "tenNuocUong" },
              { "data" : "price" },
              { "data" : "ngayTao" },
              { "data" : "ngayCapNhat" }
          ]
        });

        $.ajax({
            url: "http://localhost:8080/drinks",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                table.clear();

                //Cập nhật data cho bảng 
                table.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                table.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });
      });
  </script>

 <!-- voucher -->
  <script>
$(document).ready(function(){
        var table = $("#user-table1").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "id" },
              { "data" : "phanTramGiamGia" },
              { "data" : "ghiChu" },
              { "data" : "maVoucher" },
              { "data" : "ngayTao" },
              { "data" : "ngayCapNhat" }
          ]
        });

        $.ajax({
            url: "http://localhost:8080/vouchers",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                table.clear();

                //Cập nhật data cho bảng 
                table.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                table.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });
      });
  </script>

<!-- menu -->
  <script>
$(document).ready(function(){
        var table = $("#user-table2").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "size" },
              { "data" : "duongKinh" },
              { "data" : "suon" },
              { "data" : "salad" },
              { "data" : "soLuongNuocNgot" },
              { "data" : "donGia" }
          ]
        });

        $.ajax({
            url: "http://localhost:8080/menu",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                table.clear();

                //Cập nhật data cho bảng 
                table.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                table.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });
      });
  </script>
<!-- customer -->
<script>
  $(document).ready(function(){
        var table = $("#user-table3").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "id" },
              { "data" : "fullName" },
              { "data" : "email" },
              { "data" : "phone" },
              { "data" : "address" },
            
          ]
        });

        $.ajax({
            url: "http://localhost:8080/devcamp_customer",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                table.clear();

                //Cập nhật data cho bảng 
                table.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                table.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });
      });
</script>

<!-- order -->

<script>
  var gId = 1;
  $(document).ready(function(){
        var table = $("#user-table4").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "id" },
              { "data" : "orderCode" },
              { "data" : "pizzaSize" },
              { "data" : "pizzaType" },
              { "data" : "voucherCode" },
              { "data" : "price" },
              { "data" : "paid" }
          ]
        });


        $.ajax({
            url: "http://localhost:8080/devcamp-orders?userId=" + gId,
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);

                //Xóa toàn bộ dữ liệu đang có của bảng
                table.clear();

                //Cập nhật data cho bảng 
                table.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                table.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });
      }); 
</script>
</head>
<body>

<div class="container">
  <h2 style="text-align: center;">Quản trị Voucher</h2>
	<div class="jumbotron container">
	  <div class="row form-group">
		<div class="col-sm-3">
		  <label for="voucher-code">Mã Voucher</label>
		</div>
		<div class="col-sm-9">
		  <input type="text" id="input-voucher-code" name="vouchercodes" placeholder="Voucher code"
			class="form-control">
		</div>
	  </div>
	  <div class="row form-group">
		<div class="col-sm-3">
		  <label for="discount">Phần trăm giảm giá</label>
		</div>
		<div class="col-sm-9">
		  <input type="number" id="input-discount" name="discount" placeholder="Discount" class="form-control">
		</div>
	  </div>
	  <div class="row form-group">
		<div class="col-sm-3">
		  <label for="note">Ghi chú</label>
		</div>
		<div class="col-sm-9">
		  <input type="text" id="input-note" name="note" placeholder="Note" class="form-control">
		</div>
	  </div>
	  <div class="row form-group">
		<div class="col-sm-3">
		  <label for="createDate">Ngày Tạo</label>
		</div>
		<div class="col-sm-9">
		  <input type="date" id="input-createDate" name="createDate" placeholder="Create Date" class="form-control">
		</div>
	  </div>
	  <div class="row form-group">
		<div class="col-sm-3">
		  <label for="updateDate">Ngày sửa</label>
		</div>
		<div class="col-sm-9">
		  <input type="date" id="input-updateDate" name="updateDate" placeholder="Update Date" class="form-control">
		</div>
	  </div>
	  <div class="row pull-right">
		<div class="col-sm-12">
		  <button id="save_data" class="btn btn-info">Save Data</button>
		</div>
	  </div>
	</div>
  <table class="table table-bordered table-striped table-hover" id="user-table">
    <thead>
      <tr>
        <th>STT</th>
        <th>Mã nước uống</th>
        <th>Tên nước uống</th>
        <th>Price</th>
        <th>Ngày tạo</th>
        <th>Ngày cập nhật</th>
      </tr>
  </table>
  <br>
  <br>
  <table class="table table-bordered table-striped table-hover" id="user-table1">
    <thead>
      <tr>
        <th>STT</th>
        <th>Phần Trăm Giảm Giá</th>
        <th>Ghi Chú</th>
        <th>Mã Voucher</th>
        <th>Ngày tạo</th>
        <th>Ngày cập nhật</th>
      </tr>
  </table>

  <br>
  <br>
  <table class="table table-bordered table-striped table-hover" id="user-table2">
    <thead>
      <tr>
        <th>Size</th>
        <th>Đường Kính</th>
        <th>Sườn</th>
        <th>Salad</th>
        <th>Số Lượng Nước Ngọt</th>
        <th>Đơn Giá</th>
      </tr>
  </table>


  <br>
  <br>
  <table class="table table-bordered table-striped table-hover" id="user-table3">
    <thead>
      <tr>
        <th>STT</th>
        <th>Fullname</th>
        <th>Email</th>
        <th>Phone</th>
        <th>Address</th>
      </tr>
  </table>

  <br>
  <br>
  <table class="table table-bordered table-striped table-hover" id="user-table4">
    <thead>
      <tr>
        <th>STT</th>
        <th>Order Code</th>
        <th>Pizza Size</th>
        <th>Pizza Type</th>
        <th>Voucher Code</th>
        <th>Price</th>
        <th>Paid</th>
      </tr>
  </table> 

</div>

</body>
</html>
​
